> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 어노테이션 큐 항목 쿼리

> 페이지네이션 및 정렬을 사용해 annotation 큐의 항목을 쿼리합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /annotation_queues/{queue_id}/items/query
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/{queue_id}/items/query:
    post:
      tags:
        - Annotation Queues
      summary: 어노테이션 큐 항목 쿼리
      description: 페이지네이션 및 정렬을 사용해 annotation 큐의 항목을 쿼리합니다.
      operationId: >-
        annotation_queue_items_query_annotation_queues__queue_id__items_query_post
      parameters:
        - in: path
          name: queue_id
          required: true
          schema:
            title: Queue Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueItemsQueryBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueItemsQueryRes'
          description: 성공 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueItemsQueryBody:
      additionalProperties: false
      description: annotation queue의 항목을 쿼리하기 위한 요청 본문입니다(queue_id는 경로에서 가져옵니다).
      properties:
        filter:
          anyOf:
            - $ref: '#/components/schemas/AnnotationQueueItemsFilter'
            - type: 'null'
          description: call 메타데이터와 annotation 상태를 기준으로 큐 항목 필터링
        include_position:
          default: false
          description: position_in_queue 필드 포함(전체 큐에서 1부터 시작하는 인덱스)
          title: Include Position
          type: boolean
        limit:
          anyOf:
            - type: integer
            - type: 'null'
          examples:
            - 50
          title: Limit
        offset:
          anyOf:
            - type: integer
            - type: 'null'
          examples:
            - 0
          title: Offset
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
        sort_by:
          anyOf:
            - items:
                $ref: '#/components/schemas/SortBy'
              type: array
            - type: 'null'
          description: '여러 필드를 기준으로 정렬(예: created_at, updated_at)'
          title: Sort By
      required:
        - project_id
      title: AnnotationQueueItemsQueryBody
      type: object
    AnnotationQueueItemsQueryRes:
      description: annotation queue 항목 쿼리에 대한 응답입니다.
      properties:
        items:
          items:
            $ref: '#/components/schemas/AnnotationQueueItemSchema'
          title: Items
          type: array
      required:
        - items
      title: AnnotationQueueItemsQueryRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    AnnotationQueueItemsFilter:
      description: |-
        annotation queue 항목을 위한 단순 필터입니다.

        call 메타데이터 필드에 대한 동등 비교 필터링과 annotation 상태에 대한 IN 필터링을 지원합니다.
      properties:
        added_by:
          anyOf:
            - type: string
            - type: 'null'
          description: call을 추가한 W&B 사용자 ID로 필터링
          title: Added By
        annotation_states:
          anyOf:
            - items:
                enum:
                  - unstarted
                  - in_progress
                  - completed
                  - skipped
                type: string
              type: array
            - type: 'null'
          description: annotation 상태로 필터링(unstarted, in_progress, completed, skipped)
          examples:
            - - unstarted
              - in_progress
          title: Annotation States
        call_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 정확한 call ID로 필터링
          title: Call Id
        call_op_name:
          anyOf:
            - type: string
            - type: 'null'
          description: 정확한 오퍼레이션 이름으로 필터링
          title: Call Op Name
        call_trace_id:
          anyOf:
            - type: string
            - type: 'null'
          description: 정확한 트레이스 ID로 필터링
          title: Call Trace Id
        id:
          anyOf:
            - type: string
            - type: 'null'
          description: 정확한 큐 항목 ID로 필터링
          title: Id
      title: AnnotationQueueItemsFilter
      type: object
    SortBy:
      additionalProperties: false
      properties:
        direction:
          enum:
            - asc
            - desc
          title: Direction
          type: string
        field:
          title: Field
          type: string
      required:
        - field
        - direction
      title: SortBy
      type: object
    AnnotationQueueItemSchema:
      description: annotation queue 항목 응답을 위한 스키마입니다.
      properties:
        added_by:
          anyOf:
            - type: string
            - type: 'null'
          title: Added By
        annotation_state:
          enum:
            - unstarted
            - in_progress
            - completed
            - skipped
          title: Annotation State
          type: string
        annotator_user_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Annotator User Id
        call_ended_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Call Ended At
        call_id:
          title: Call Id
          type: string
        call_op_name:
          title: Call Op Name
          type: string
        call_started_at:
          format: date-time
          title: Call Started At
          type: string
        call_trace_id:
          title: Call Trace Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        created_by:
          title: Created By
          type: string
        deleted_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Deleted At
        display_fields:
          items:
            type: string
          title: Display Fields
          type: array
        id:
          title: Id
          type: string
        position_in_queue:
          anyOf:
            - type: integer
            - type: 'null'
          title: Position In Queue
        project_id:
          title: Project Id
          type: string
        queue_id:
          title: Queue Id
          type: string
        updated_at:
          format: date-time
          title: Updated At
          type: string
      required:
        - id
        - project_id
        - queue_id
        - call_id
        - call_started_at
        - call_op_name
        - call_trace_id
        - display_fields
        - annotation_state
        - created_at
        - created_by
        - updated_at
      title: AnnotationQueueItemSchema
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````